<!DOCTYPE html>
<html lang="fa">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>RapidCode.IR - ساخت جستجوی پیشرفته AJAX با PHP و Javascript</title>
    <style>
    body {
        text-align: center;
        overflow-x: hidden;
    }

    #introduce {
        color: white;
        text-decoration: none;
        font-weight: bold;
        display: block;
        width: 100%;
        padding: 5px 10px;
        background-color: #4CAF50;
        text-align: center;
        font-size: 25px;
        margin-bottom: 45px;
    }

    .container{
        width: 70%;
        margin: 15px auto;
        direction: rtl;
    }

    article {
    width: 25%;
    border: 2px solid skyblue;
    padding: 10px;
    float: right;
    margin-left: 15px;
    }

    article img {
    width: 200px;
    }

    article h2{
        height: 82px;
    }

    article p{
        height: 56px;
        overflow: hidden;
    }

    article a {
    text-decoration: none;
    font-weight: bold;
    background-color: #FF9800;
    color: white;
    width: 100%;
    padding: 10px 0;
    display: block;
    }

    #search-ajax-result{
        display: block;
        width: 50%;
        margin-right: 25%;
        padding-right: 15%;
        padding-top: 30px;
    }

    #search-ajax-result td img{
        width: 90px;
    }

    #search-ajax-result td a{
        text-decoration: none;
        font-weight: bold;
        color: black;
        font-size: medium;
    }


    </style>
</head>

<body>
    <a id="introduce" target="_blank" href="https://rapidcode.ir">رپید کد - کتابخانه مجازی برنامه نویسان</a>

    <div class="container">

            <div class="search-wrapper">
            <input type="text" id="search" name="search" value="">
            <input type="button" id="submit" value="جستجو">

            <table id="search-ajax-result">
               <tbody>
                
               </tbody>
            </table>


            </div>
        

<?php 

require_once "search.php";
search();


?>


<h1><?php echo $GLOBALS['title'] ?></h1>

<?php

foreach ($GLOBALS['rows'] as $row):

?>
    <article>
        <img src="<?php echo $row['thumbnail'] ?>" alt="<?php echo $row['title'] ?>">

        <h2><?php echo $row['title'] ?></h2>

        <p><?php echo $row['content'] ?></p>


        <a href="<?php echo $row['link'] ?>" target="_blank">ادامه مطلب</a>

    </article>

<?php endforeach;?>

    </div>


    <script src="app.js"></script>
</body>
</html>